## jikespg 1.2

=== src/Makefile ===
# $Id: Makefile,v 1.2 1999/11/04 14:02:21 shields Exp $
#
# This software is subject to the terms of the IBM Jikes Compiler
# License Agreement available at the following URL:
# http://www.ibm.com/research/jikes.
# Copyright (C) 1983, 1999, International Business Machines Corporation
# and others.  All Rights Reserved.
# You must accept the terms of that agreement to use this software.

# Makefile for aix for Jikes Parser Generator
CC = xlc -O

all: jikespg

jikespg: ctabs.o globals.o lpgparse.o lpgutil.o main.o \
     mkfirst.o mkred.o mkstates.o partset.o prntstat.o produce.o \
     ptables.o remsp.o resolve.o spacetab.o tabutil.o timetab.o
	$(CC) -s -o jikespg ctabs.o globals.o lpgparse.o lpgutil.o main.o \
	    mkfirst.o mkred.o mkstates.o partset.o prntstat.o produce.o \
	    ptables.o remsp.o resolve.o spacetab.o tabutil.o timetab.o

lpgact.i: jikespg.g
	  lpg jikespg
	  rm jikespg.l
	  make
	  rm CRASH_THE_INITIAL_MAKE_COMMAND_TO_BREAK_OUT

main.o:	main.c common.h
	$(CC) -c main.c

globals.o: globals.c common.h
	$(CC) -c globals.c

lpgparse.o: lpgprs.h lpgdcl.h lpgdef.h lpgact.h lpgact.i lpgsym.h \
	    common.h lpgparse.h	lpgparse.c
	$(CC) -c lpgparse.c

lpgutil.o: lpgutil.c common.h
	$(CC) -c lpgutil.c

mkfirst.o: mkfirst.c common.h
	$(CC) -c mkfirst.c

mkstates.o: mkstates.c common.h
	$(CC) -c mkstates.c

prntstat.o: prntstat.c common.h
	$(CC) -c prntstat.c

mkred.o: mkred.c common.h reduce.h
	$(CC) -c mkred.c

remsp.o: remsp.c common.h reduce.h
	$(CC) -c remsp.c

resolve.o: resolve.c common.h reduce.h
	$(CC) -c resolve.c

ptables.o: ptables.c common.h
	$(CC) -c ptables.c

spacetab.o: spacetab.c common.h space.h
	$(CC) -c spacetab.c

timetab.o: timetab.c common.h
	$(CC) -c timetab.c

tabutil.o: tabutil.c common.h
	$(CC) -c tabutil.c

produce.o: produce.c common.h
	$(CC) -c produce.c

partset.o: partset.c common.h
	$(CC) -c partset.c

ctabs.o: ctabs.c common.h space.h
	$(CC) -c ctabs.c

clean:
	rm jikespg
	rm ctabs.o 
	rm globals.o
	rm lpgparse.o 
	rm lpgutil.o 
	rm main.o 
	rm mkfirst.o 
	rm mkred.o
	rm mkstates.o 
	rm partset.o 
	rm prntstat.o 
	rm produce.o 
	rm ptables.o 
	rm remsp.o
	rm resolve.o
	rm spacetab.o 
	rm tabutil.o
	rm timetab.o

## jikespg 1.3

=== src/Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
-# $Id: Makefile,v 1.2 1999/11/04 14:02:21 shields Exp $
+# $Id: Makefile,v 1.4 2001/10/10 14:53:10 ericb Exp $
 #
 # This software is subject to the terms of the IBM Jikes Compiler
 # License Agreement available at the following URL:
-# http://www.ibm.com/research/jikes.
-# Copyright (C) 1983, 1999, International Business Machines Corporation
-# and others.  All Rights Reserved.
+# http://ibm.com/developerworks/opensource/jikes.
+# Copyright (C) 1983, 1999, 2001 International Business
+# Machines Corporation and others.  All Rights Reserved.
 # You must accept the terms of that agreement to use this software.
 
 # Makefile for aix for Jikes Parser Generator
-CC = xlc -O
+CC = gcc -O1
 
 all: jikespg

=== examples/bnf/Makefile ===
# This software is subject to the terms of the IBM Jikes Compiler
# License Agreement available at the following URL:
# http://www.ibm.com/research/jikes.
# Copyright (C) 1983, 1999, International Business Machines Corporation
# and others.  All Rights Reserved.
# You must accept the terms of that agreement to use this software.

all:
	jikespg bnf.g
	jikes *.java
clean:
	rm bnf*.java
	rm bnf.l
	rm *.class

=== examples/expr/Makefile ===
# This software is subject to the terms of the IBM Jikes Compiler
# License Agreement available at the following URL:
# http://www.ibm.com/research/jikes.
# Copyright (C) 1983, 1999, International Business Machines Corporation
# and others.  All Rights Reserved.
# You must accept the terms of that agreement to use this software.

all:
	jikespg expr.g
	jikes *.java
clean:
	rm expr*.java
	rm expr.l
	rm *.class

=== debian/changelog ===
jikespg (1.3-3) unstable; urgency=medium

  * Add Vcs-* fields into d/control.
  * Fix FTBFS with make 4.0 (Closes: #748557).
    - mixed implicit and normal rules: deprecated syntax in d/rules.
  * Bump Standards-Version to 3.9.5.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 31 May 2014 11:10:40 +0200

jikespg (1.3-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3
  * Use debhelper compatibility level 9
  * Rewritten d/rules to use dh
  * Convert d/copyright to DEP-5
  * Replace strcpy() with overlapping args by memmove()
  * Enable binary hardening.
  * Fix potential buffer overflow in lpgparse.c.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 28 Sep 2012 15:19:54 +0200

jikespg (1.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Add build-dependency on debhelper (closes: #140551).
  * Implement DEB_BUILD_OPTIONS.
  * Policy version 3.5.6.

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Mar 2002 11:00:52 +0000

jikespg (1.2-2) unstable; urgency=low

  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 30 Dec 2001 18:10:43 -0800

jikespg (1.2-1) unstable; urgency=low

  * New upstream release.
  * License fixed: moved back to main (closes: #48996).

 -- Mike Goldman <whig@by.net>  Fri,  5 Nov 1999 05:00:11 -0500

jikespg (1.1-2) unstable; urgency=low

  * Moved to non-free due to license termination clause.

 -- Mike Goldman <whig@by.net>  Thu, 18 Mar 1999 00:38:22 -0500

jikespg (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Mike Goldman <whig@by.net>  Sun, 14 Mar 1999 11:32:36 -0500

=== debian/control ===
Source: jikespg
Section: devel
Priority: extra
Maintainer: Jakub Adam <jakub.adam@ktknet.cz>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9~)
Homepage: http://jikes.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/jikespg.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jikespg.git

Package: jikespg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Jikes Parser Generator
 Jikes Parser Generator is a parser generator that accepts as input an
 annotated  description for a language grammar and produces text files
 suitable for inclusion in a parser for that language. It is similar in
 function and use to the widely-available parser generators Yacc and Bison.
 .
 It also provides support for automatic diagnosis and recovery from syntactic
 errors. It is the parser generator used by the Jikes Compiler. Jikes Parser
 Generator can generate parsers for LALR(k) grammars and produce output
 suitable for use with parsers written in Java, C, or C++.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make -C src

override_dh_auto_clean:
	make -C src clean
